package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel(
   value = "DrpMaterialInquirySupplierBatch对象",
   description = "供应商询价供应商表"
)
public class DrpMaterialInquirySupplierBatch {
   @ApiModelProperty("批次id")
   @TableId
   private Long batchId;
   @ApiModelProperty("货品招标供应商主键id")
   private Long materialInquirySupplierId;
   @ApiModelProperty("报价批次号(1,2,3)")
   private Integer quoteBatchNum;
   @ApiModelProperty("状态(1已报价,2未报价,3已中标,4未中标)")
   private Integer status;
   @ApiModelProperty("报价截止时间")
   private LocalDateTime quoteEndTime;
   @ApiModelProperty("报价时间")
   private LocalDateTime quoteTime;
   private String createBy;
   private LocalDateTime createTime;
   private String updateBy;
   private LocalDateTime updateTime;

   public Long getBatchId() {
      return this.batchId;
   }

   public Long getMaterialInquirySupplierId() {
      return this.materialInquirySupplierId;
   }

   public Integer getQuoteBatchNum() {
      return this.quoteBatchNum;
   }

   public Integer getStatus() {
      return this.status;
   }

   public LocalDateTime getQuoteEndTime() {
      return this.quoteEndTime;
   }

   public LocalDateTime getQuoteTime() {
      return this.quoteTime;
   }

   public DrpMaterialInquirySupplierBatch setBatchId(final Long batchId) {
      this.batchId = batchId;
      return this;
   }

   public DrpMaterialInquirySupplierBatch setMaterialInquirySupplierId(final Long materialInquirySupplierId) {
      this.materialInquirySupplierId = materialInquirySupplierId;
      return this;
   }

   public DrpMaterialInquirySupplierBatch setQuoteBatchNum(final Integer quoteBatchNum) {
      this.quoteBatchNum = quoteBatchNum;
      return this;
   }

   public DrpMaterialInquirySupplierBatch setStatus(final Integer status) {
      this.status = status;
      return this;
   }

   public DrpMaterialInquirySupplierBatch setQuoteEndTime(final LocalDateTime quoteEndTime) {
      this.quoteEndTime = quoteEndTime;
      return this;
   }

   public DrpMaterialInquirySupplierBatch setQuoteTime(final LocalDateTime quoteTime) {
      this.quoteTime = quoteTime;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpMaterialInquirySupplierBatch setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpMaterialInquirySupplierBatch setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpMaterialInquirySupplierBatch setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpMaterialInquirySupplierBatch setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
